
package nlib.col.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

import nlib.bbs.service.impl.BoardDAO;
import nlib.restful.DataApi;
import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

@Repository("collectionDAO")
public class CollectionDAO extends DataApi
{
	private static final Logger log = LoggerFactory.getLogger(CollectionDAO.class);
	
	/**
	 * 주 자원의 URI  
	 */
	public static final String RESOURCE_URI = "/uac/service/col";
	
	/**
	 * 소장 자료 목록을 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listItems(DataApiReqVO reqVO)  {
		reqVO.setReqUrl(RESOURCE_URI + "/listItems/list");
		return get(reqVO);
	}

	public DataApiResVO insertInterest(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO reserveItem(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO viewOriginalCopy(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO requestViewingItem(DataApiReqVO reqVO)  {
		return null;
	}
	
	/**
	 * 소장자료를 상세 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO selectItemInfo(DataApiReqVO reqVO)  {
		reqVO.setReqUrl(RESOURCE_URI + "/listItems");
		return get(reqVO);
	}
	/**
	 * 관심 자료 목록을 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listInterests(DataApiReqVO reqVO)  {
		reqVO.setReqUrl(RESOURCE_URI + "/interests/list");
		return get(reqVO);
	}

	public DataApiResVO deleteInterest(DataApiReqVO reqVO)  {
		return null;
	}


}